import { jsx } from "react/jsx-runtime";
import { CalendarXIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CalendarX = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CalendarX", ...props, children: /* @__PURE__ */ jsx(CalendarXIcon, { weight: variant }) });
  }
);
CalendarX.displayName = "CalendarX";
Object.assign(CalendarX, { isGdsIcon: true });
export {
  CalendarX
};
